const workoutData = {
  monday: {
    title: "Legs 🦵",
    exercises: [
      {
        name: "Smith Machine Squats",
        sets: "4",
        reps: "15-20, 10-12",
        weight: "Empty bar + 2.5kg/side"
      },
      {
        name: "Dumbbell RDL",
        sets: "3",
        reps: "12-15",
        weight: "5kg dumbbells"
      }
      // Add more exercises
    ]
  },
  tuesday: {
    title: "Shoulders & Abs 💪",
    exercises: [
      {
        name: "Dumbbell Seated Overhead Press",
        sets: "4",
        reps: "12-15, 6",
        weight: "2.5kg-5kg dumbbells"
      }
      // Add more exercises
    ]
  }
  // Add more days
};

document.addEventListener('DOMContentLoaded', () => {
  // Tab switching functionality
  const tabs = document.querySelectorAll('.tab-btn');
  const workoutContent = document.getElementById('workout-content');

  function showWorkout(day) {
    const workout = workoutData[day];
    if (!workout) return;

    let html = `
      <h3>${workout.title}</h3>
      <div class="exercise-list">
    `;

    workout.exercises.forEach(exercise => {
      html += `
        <div class="exercise-card">
          <h4>${exercise.name}</h4>
          <p>Sets: ${exercise.sets}</p>
          <p>Reps: ${exercise.reps}</p>
          <p>Weight: ${exercise.weight}</p>
        </div>
      `;
    });

    html += '</div>';
    workoutContent.innerHTML = html;
  }

  tabs.forEach(tab => {
    tab.addEventListener('click', () => {
      tabs.forEach(t => t.classList.remove('active'));
      tab.classList.add('active');
      showWorkout(tab.dataset.day);
    });
  });

  // Show Monday workout by default
  showWorkout('monday');

  // Smooth scrolling for navigation links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });
});
